public static interface TikaEndpointBuilderFactory.TikaBuilders
| Modifier and Type | Method and Description |
|---|---|
default TikaEndpointBuilderFactory.TikaEndpointBuilder |
tika(String path)
Tika (camel-tika)
Parse documents and extract metadata and text using Apache Tika.
|
default TikaEndpointBuilderFactory.TikaEndpointBuilder |
tika(String componentName,
String path)
Tika (camel-tika)
Parse documents and extract metadata and text using Apache Tika.
|
default TikaEndpointBuilderFactory.TikaEndpointBuilder tika(String path)
tika:operation
Path parameter: operation (required)
Operation type
There are 2 enums and the value can be one of: parse, detectpath - operationdefault TikaEndpointBuilderFactory.TikaEndpointBuilder tika(String componentName, String path)
tika:operation
Path parameter: operation (required)
Operation type
There are 2 enums and the value can be one of: parse, detectcomponentName - to use a custom component name for the endpoint
instead of the default namepath - operationApache Camel